読者です 読者をやめる 読者になる 読者になる

Ubuntu11.04LTS→12.04LTS+eclipse起動できない

VMwarePlayerに入れてあるUbuntu11.04LTSを立ち上げたところ、
12.04へのバージョンアップメッセージが出たので、バージョンアップしました。
入れていたeclipse3.5も3.7になりました。最初は起動したのですが、何度かいじっていると「エラーが発生しました」というメッセージがでて起動できなくなりました。(eclipse -cleanとすると起動できていましたが)
いろいろ調べてみたのですが解決できませんでした。
そこで、

$ sudo apt-get autoremove eclipse 

をしてアンインストールした後、
参考文献 Eclipse4.2のダウンロード,インストール,設定,日本語化,基本操作
を参考にEclipse4.2を入れて日本語化しました。
参考文献の「環境設定と起動チェック」に書いてありますが、Emacsキーバインドにもできるんですね!初めて知りました。

今日やったこと